<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__adaptive__filter__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_adaptive_filter_config_t</compoundname>
    <includes local="no">cy_capsense_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__adaptive__filter__config__t_1a917e444f748280dc2e325f062600e878" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_adaptive_filter_config_t::maxK</definition>
        <argsstring />
        <name>maxK</name>
        <briefdescription>
<para>Maximum filter coefficient. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="54" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="54" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__adaptive__filter__config__t_1a8202d5f56b17bd01a1957a05bea2f489" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_adaptive_filter_config_t::minK</definition>
        <argsstring />
        <name>minK</name>
        <briefdescription>
<para>Minimum filter coefficient. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="55" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__adaptive__filter__config__t_1ab838a235c299b6d9ea57bd3fc41568d8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_adaptive_filter_config_t::noMovTh</definition>
        <argsstring />
        <name>noMovTh</name>
        <briefdescription>
<para>No-movement threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="56" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__adaptive__filter__config__t_1abee594ea7f9a29ee29651de847e43f86" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_adaptive_filter_config_t::littleMovTh</definition>
        <argsstring />
        <name>littleMovTh</name>
        <briefdescription>
<para>Little movement threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="57" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__adaptive__filter__config__t_1a61cd3ed526985b0b9d6c2a8a10e15c45" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_adaptive_filter_config_t::largeMovTh</definition>
        <argsstring />
        <name>largeMovTh</name>
        <briefdescription>
<para>Large movement threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="58" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__adaptive__filter__config__t_1a9a1c907add092d6754cb3d5669b26b19" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_adaptive_filter_config_t::divVal</definition>
        <argsstring />
        <name>divVal</name>
        <briefdescription>
<para>Divisor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="59" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__adaptive__filter__config__t_1aeac367c4efeec355b75e991a523dfba1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_adaptive_filter_config_t::reserved0</definition>
        <argsstring />
        <name>reserved0</name>
        <briefdescription>
<para>Reserved field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="60" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__adaptive__filter__config__t_1a7b4b8bb5ec1ed763d04cea68627b33f8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_adaptive_filter_config_t::reserved1</definition>
        <argsstring />
        <name>reserved1</name>
        <briefdescription>
<para>Reserved field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="61" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares Adaptive Filter configuration parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="62" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="52" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="53" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t_1a9a1c907add092d6754cb3d5669b26b19" virt="non-virtual"><scope>cy_stc_capsense_adaptive_filter_config_t</scope><name>divVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t_1a61cd3ed526985b0b9d6c2a8a10e15c45" virt="non-virtual"><scope>cy_stc_capsense_adaptive_filter_config_t</scope><name>largeMovTh</name></member>
      <member prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t_1abee594ea7f9a29ee29651de847e43f86" virt="non-virtual"><scope>cy_stc_capsense_adaptive_filter_config_t</scope><name>littleMovTh</name></member>
      <member prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t_1a917e444f748280dc2e325f062600e878" virt="non-virtual"><scope>cy_stc_capsense_adaptive_filter_config_t</scope><name>maxK</name></member>
      <member prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t_1a8202d5f56b17bd01a1957a05bea2f489" virt="non-virtual"><scope>cy_stc_capsense_adaptive_filter_config_t</scope><name>minK</name></member>
      <member prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t_1ab838a235c299b6d9ea57bd3fc41568d8" virt="non-virtual"><scope>cy_stc_capsense_adaptive_filter_config_t</scope><name>noMovTh</name></member>
      <member prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t_1aeac367c4efeec355b75e991a523dfba1" virt="non-virtual"><scope>cy_stc_capsense_adaptive_filter_config_t</scope><name>reserved0</name></member>
      <member prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t_1a7b4b8bb5ec1ed763d04cea68627b33f8" virt="non-virtual"><scope>cy_stc_capsense_adaptive_filter_config_t</scope><name>reserved1</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>